{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends '@DatatourismeWebApp/base.html.twig' %}
{% import "DatatourismeWebAppBundle::macros.html.twig" as macros %}

{% block body_classes %}layout-top-nav{% endblock  %}

{% block body %}
    <div class="wrapper">
        <header class="main-header">
            <nav class="navbar navbar-fixed-top ">
                <div class="navbar-gouv-placeholder"></div>
                <div class="navbar-gouv-bg"></div>
                <div class="container">
                    <div class="navbar-wrapper">
                        <div class="navbar-header">
                            <div class="navbar-gouv">
                                <img src="{{ asset('assets/images/logos/marianne.png') }}">
                                <img src="{{ asset('assets/images/logos/minefi.png') }}">
                            </div>
                            <a href="/" class="navbar-brand">
                                <img src="{{ asset('assets/images/logos/datatourisme-200-inversed.png') }}">
                            </a>
                            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse">
                                <i class="fa fa-bars"></i>
                            </button>
                        </div>

                        <!-- Collect the nav links, forms, and other content for toggling -->
                        <div class="collapse navbar-collapse" id="navbar-collapse">
                            {{ knp_menu_render('main', {'depth': 2}) }}
                            <ul class="nav navbar-nav navbar-right">

                                <!-- Language switcher -->
                                {{ macros.language_switcher() }}

                                <!-- User Account Menu -->
                                <li class="dropdown user user-menu">
                                    <!-- Menu Toggle Button -->
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                        <img src="{{ asset("assets/images/user-placeholder.png" | imagine_filter('square25')) }}" class="user-image" alt="User Image">
                                        <!-- hidden-xs hides the username on small devices so only the image appears. -->
                                        <span class="visible-xs-inline">{{  app.user.fullName }}</span>
                                    </a>
                                    <ul class="dropdown-menu">
                                        <!-- The user image in the menu -->
                                        <li class="user-header clearfix">
                                            <img src="{{ asset("assets/images/user-placeholder.png" | imagine_filter('square100')) }}" class="user-image" alt="User Image">
                                            <p>
                                                {% if app.user is defined %}
                                                    {{ app.user.fullName }}
                                                    {% if app.user.organization is not empty %}
                                                        <br>{{ app.user.organization }}
                                                    {% elseif is_granted('ROLE_ADMIN') %}
                                                        <br>DATAtourisme
                                                    {% endif %}
                                                    <small>{{ "label.member_from" | trans({"%date%": app.user.createdAt | date('M. Y')}) }}</small>
                                                {% endif %}
                                            </p>
                                        </li>
                                        <!-- Menu Footer-->
                                        <li class="user-footer">
                                            <div class="pull-left"><!---->
                                                <a href="{{ path('account.user') }}" class="btn btn-default ">{{ "label.my_profile" | trans }}</a>
                                            </div>
                                            <div class="pull-right">
                                                <a href="{{ path('security.logout') }}" class="btn btn-default ">{{ "btn.logout" | trans }}</a>
                                            </div>
                                        </li>
                                    </ul>
                                </li>
                                <!-- Impersonate -->
                                {% if is_granted('ROLE_PREVIOUS_ADMIN') %}
                                    <li>
                                        <a href="{{ path('user.administrate', {'id': app.user.id, '_switch_user': '_exit'}) }}" title="Arrêter la substitution" data-tooltip data-tooltip-distance="-12" class="bg-red">
                                            <i class="fa fa-user-secret"></i>
                                            <span class="visible-xs-inline">&nbsp;Arrêter la substitution</span>
                                        </a>
                                    </li>
                                {% endif %}
                            </ul>
                        </div>
                        <!-- /.navbar-collapse -->
                    </div>
                    <!-- /.navbar-custom-menu -->
                </div>
                <!-- /.container-fluid -->
            </nav>
            <div class="notify-container">
                {% if _breadcrumb is defined %}
                    {{ macros.breadcrumb(_breadcrumb) }}
                {% endif %}
            </div>
        </header>

        {# <div class="m-0 p-10 alert alert-warning text-center">
            <strong>Attention :</strong> suite au déploiement de la version 2.0 de l'ontologie, les identifiants de certaines propriétés ont évolué. Plus d'infos sur l'<a href="https://support.datatourisme.gouv.fr/t/publication-ontologie-v2-0/166">espace support</a>.
        </div> #}

        <div class="content-wrapper">
        {% block content_container %}
        <!-- Full Width Column -->
            <div class="container">
                {% block content %}{% endblock %}
            </div>
            <!-- /.container -->
        {% endblock %}
        </div>
        <!-- /.content-wrapper -->
        {% include "DatatourismeWebAppBundle::footer.html.twig" %}
    </div>
    <!-- ./wrapper -->
{% endblock  %}
